Bug 1352325 - Unusable mouse pointer in Windows 10 KVM [NEEDINFO]
Summary: Unusable mouse pointer in Windows 10 KVM
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-03 19:44 UTC by Tom Horsley
Modified: 2016-10-26 16:55 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:55:24 UTC
labbott: needinfo? (horsley1953)


Attachments (Terms of Use)

Description Tom Horsley 2016-07-03 19:44:02 UTC
Description of problem:

Some very recent update has made my Windows 10 virtual machine utterly unusable with the mouse pointer, and whatever it is seems to leak out of the virtual machine and make other windows on my host machine go funny in the head as well. I submit this against qemu only because I have no real idea where to actually file it or what is really busted.

This video shows what mouse movement is like:

https://drive.google.com/open?id=0B7pVI_DKcKbyUUZBOUFRbTlLdDA

And this shows a simply little old fashioned Motif app going crazy after I have shut down the Windows 10 virtual machine:

https://drive.google.com/open?id=0B7pVI_DKcKbydlBBWVFQX0MwLUk

(Those are not animated icons, they are simple static .xpm images, why they are flickering on and off is a mystery).


Version-Release number of selected component (if applicable):
qemu-system-x86-2.6.0-4.fc24.x86_64
qemu-common-2.6.0-4.fc24.x86_64
qemu-2.6.0-4.fc24.x86_64
libvirt-1.3.3.1-4.fc24.x86_64
virt-manager-1.4.0-3.fc24.noarch
xorg-x11-drv-intel-2.99.917-23.20160512.fc24.x86_64
kernel-4.6.3-300.fc24.x86_64


How reproducible:
100% of the time with the Windows 10 KVM, absolutely no problems with an old Windows XP KVM.

Steps to Reproduce:
1.boot Windows 10 KVM
2.try to use mouse in viewer
3.

Actual results:
Hopeless

Expected results:
Mouse as smooth as it is in other virtual machines

Additional info:
I have used this machine as recently as a few days ago with no problems, so something new has happened. I even went back to a December version of the Windows 10 image file and it has the same problems now even though it obviously has no new Windows 10 updates in it.

The most recent updates that might be relevant are a new kernel and new virt-manager that were just installed yesterday, so perhaps I should have picked one of them for this bug.

Comment 1 Tom Horsley 2016-07-03 19:54:58 UTC
OK, it was simple to try booting into the old kernel, and when I do that, the Windows 10 mouse movement is perfectly smooth, so I'm changing the component of this bug to kernel.

I have no idea why only Windows 10 is leaking out through the QXL driver, but whatever is going on appears to be in the kernel.

When booted in kernel-4.5.7-300.fc24.x86_64 the mouse pointer works smooth as silk inside the Windows 10 KVM.

When booted in kernel-4.6.3-300.fc24.x86_64 the mouse pointer is horrible.

But in both kernels the mouse pointer is perfectly fine in Windows XP and Centos virtual machines. Perhaps that will provide a clue :-).

Comment 2 Tom Horsley 2016-07-06 14:00:29 UTC
Looks like similar problems are described in bug 1352159 for a Fedora 24 XFCE guest system mouse.

Comment 3 Tom Horsley 2016-07-20 23:04:27 UTC
I just tried kernel 4.6.4-301.fc24.x86_64 and it is just as screwy as 4.6.3 was.

Comment 4 Tom Horsley 2016-07-24 18:11:15 UTC
This appears to only happen when using the Intel graphics built into my motherboard. I just got a GTX 960 card and when I booted the 4.6.4-301.fc24.x86_64 kernel with the nouveau driver running the display, the cursor is perfectly normal in the Windows 10 virtual machine.

I don't know if that means the component of this bug should change to the xorg-x11-drv-intel driver or not (because the same intel driver has no problems in the 4.5 kernel).

Comment 5 Tom Horsley 2016-07-24 18:43:40 UTC
One more datapoint probably no one cares about: The nvidia binary drivers also run the cursor perfectly normally in the virtual machine.

Comment 6 Tom Horsley 2016-07-25 12:19:59 UTC
I went ahead and reported this as an intel driver bug at freedesktop:

https://bugs.freedesktop.org/show_bug.cgi?id=97074

Comment 7 Laura Abbott 2016-09-23 19:13:09 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 8 Laura Abbott 2016-10-26 16:55:24 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.